com.fasterxml.jackson.databind.deser.std

## Class CollectionDeserializer.CollectionReferringAccumulator

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.CollectionDeserializer.CollectionReferringAccumulator

- Enclosing class:
    CollectionDeserializer

      public static final class CollectionDeserializer.CollectionReferringAccumulator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionDeserializer.CollectionReferringAccumulator(java.lang.Class<?> elementType, java.util.Collection<java.lang.Object> result)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object value)`
    `ReadableObjectId.Referring` | `handleUnresolvedReference(UnresolvedForwardReference reference)`
    `void` | `resolveForwardReference(java.lang.Object id, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionDeserializer.CollectionReferringAccumulator

          public CollectionDeserializer.CollectionReferringAccumulator(java.lang.Class<?> elementType,
                                                               java.util.Collection<java.lang.Object> result)

  - ### Method Detail

    - #### add

          public void add(java.lang.Object value)

    - #### handleUnresolvedReference

          public ReadableObjectId.Referring handleUnresolvedReference(UnresolvedForwardReference reference)

    - #### resolveForwardReference

          public void resolveForwardReference(java.lang.Object id,
                                     java.lang.Object value)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`